<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2024 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2024-09-30
 */
define('IN_DOUCO', true);

$sub = 'detail';
$subbox = array(
        "module" => 'service',
        "sub" => $sub
);

$_CUR = 'service';
require (dirname(__FILE__) . '/include/init.php');

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

/**
 * +----------------------------------------------------------
 * 业务范围列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('service') . " ORDER BY sort ASC, id DESC";

    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, ($_DISPLAY['service'] ? $_DISPLAY['service'] : 10), $page);

    /* 获取产品列表 */
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        // 多语言
        $row = $dou->lang_box($row, 'service', 'name, class, content, description');
        
        // 如果描述不存在则自动从详细业务中截取
        $description = $row['description'] ? $row['description'] : $dou->dou_substr($row['content'], 200, false);

        $service_list[] = array (
                "id" => $row['id'],
                "name" => $row['name'],
                "image" => $dou->dou_file($row['image']),
                "description" => $description,
                "url" => $dou->rewrite_url_miniprogram('service', $row['id'])
        );
    }
 
    // 数据封装
    $data['title'] = $_LANG['service'];
    $data['service_list'] = $service_list;
}

/**
 * +----------------------------------------------------------
 * 业务简介
 * +----------------------------------------------------------
 */
if ($rec == 'detail') {
    // 获取ID
    $id = $check->is_number($_REQUEST['id']) ? trim($_REQUEST['id']) : '';
    
    /* 获取详细信息 */
    $service = $dou->get_row('service', '*', "id = '$id'");
    if (!$service)
        exit;
 
    // 格式化数据
    $service['image'] = $dou->dou_file($service['image']);

    // 多语言
    $service = $dou->lang_box($service, 'service', 'name, content, keywords, description');

    // 访问统计
    $click = $service['click'] + 1;
    $dou->query("UPDATE " . $dou->table('service') . " SET click = '$click' WHERE id = '$id'");

    // 数据封装
    $data['title'] = $_LANG['service_detail'];
    $data['service'] = $service;
}

echo json_encode($data);

?>